> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/api-documentation/getting-started/http-methods.md).

# HTTP methods

Make API uses standard HTTP methods to interact with endpoints. The following table lists the available HTTP methods and shows examples of endpoints these methods can be used with.

| **HTTP method**                           | **Description**                                                                                                                                                                                                                                                                                    |
| ----------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <mark style="color:green;">`GET`</mark>   | <p>Retrieves a resource representation without modifying it.</p><p><em>Example:</em><br><a href="/pages/hhE636Wt3KslQ0VB4K9l"><code>/scenarios</code></a><br><em>returns all available Make scenarios</em></p>                                                                                     |
| <mark style="color:orange;">`POST`</mark> | <p>Creates a resource.</p><p><em>Example:</em><br><a href="/pages/eoNSNqV6D9Oxqx7GIPrZ"><code>/scenarios</code></a><br><em>creates a scenario</em></p>                                                                                                                                             |
| <mark style="color:blue;">`PUT`</mark>    | <p>Updates a resource. If the resource does not exist yet, this method creates it.</p><p><em>Example:</em><br><a href="/pages/nEKqXb40jZJUBO6XMI9n"><code>/scenarios/{scenarioId}/custom-properties</code></a><br><em>sets custom properties data for a scenario with the specified ID</em></p>    |
| `PATCH`                                   | <p>Makes a partial update on a resource. Does not replace the entire resource.</p><p><em>Example:</em><br><a href="/pages/ilvwkCOOasPx1reiIgiv"><code>/scenarios/{scenarioId}</code></a><br><em>updates properties (for example, scheduling or blueprint) of the scenario with a given ID</em></p> |
| <mark style="color:red;">`DELETE`</mark>  | <p>Removes a resource.</p><p><em>Example:</em><br><a href="/pages/GyN8HwyEEp5unDfhBISk"><code>/scenarios/{scenarioId}</code></a><br><em>deletes the scenario with a given ID</em></p>                                                                                                              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.make.com/api-documentation/getting-started/http-methods.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
